
Foreman - Feature #28950

Allow out of sync interval to be set per hostgroup

02/06/2020 05:54 PM - Iain Hallam

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.23.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We use the Foreman dashboard to give us an overall awareness of how our desktop fleet are doing, alongside our Linux servers.

However, the desktops are often turned off for several hours, so much of our estate reports as out of sync all the time. It would be

very useful to be able to set the servers to show out of sync (and worthy of investigation) if they miss a single Puppet run, but to set

the desktops out of sync only if they miss a certain number (generally we don't mind if a desktop is off for up to three days without

checking in). Could this be set at the hostgroup level, rather than for the whole installation at once?

Related issues:

Is duplicate of Foreman - Refactor #33418: Make [puppet|ansible]_interval ove... New

History

#1 - 02/06/2020 05:54 PM - Iain Hallam

- Tracker changed from Bug to Feature

#2 - 01/20/2022 01:42 PM - Ondřej Ezr

- Status changed from New to Duplicate

This will be implemented in #33418

#3 - 01/20/2022 01:43 PM - Ondřej Ezr

- Is duplicate of Refactor #33418: Make [puppet|ansible]_interval overridable instead of global outofsync_interval added
